<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
  <s:decorate id="useGenerat" template="/layout/edit.xhtml">
    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.UseRequestGenerator']}</ui:define>
    <h:selectBooleanCheckbox id="usegen" value="#{xcpdInitManager.useRequestGenerator}">
      <a4j:ajax event="change" render="requestdiv,buttondiv" execute="@this"/>
    </h:selectBooleanCheckbox>
  </s:decorate>
  <s:div id="requestdiv" style="width:90%;">
    <s:div id="requestAttr" rendered="#{xcpdInitManager.useRequestGenerator == true}">
      <gri:panel id="panelfortab">
        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.RequestParameter']}</f:facet>
        <ui:include src="requestGeneratorFilterIHE.xhtml">
          <ui:param name="requestGenerator" value="#{xcpdInitManager.requestGenerator}"/>
          <ui:param name="manager" value="#{xcpdInitManager}"/>
        </ui:include>
      </gri:panel>
    </s:div>
    <s:decorate id="messgdec" template="/layout/edit.xhtml" rendered="#{xcpdInitManager.useRequestGenerator == false}">
      <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.RequestHL7V3']}</ui:define>
      <h:inputTextarea id="HL7V3requestTextArea" rows="5" cols="120" value="#{xcpdInitManager.requestV3}" styleClass="form-control">
        <a4j:ajax event="blur" render="buttondiv" execute="@this" listener="#{xcpdInitManager.setValidRequest(false)}"/>
      </h:inputTextarea>
    </s:decorate>
  </s:div>
</ui:composition>
